<?php 

class cCuentas{	

	function insertar($cod,$nom,$ord,$ele_id,$mod_id){

		$sql="INSERT INTO `tb_cuenta`(	

		`tb_cuenta_cod`, 

		`tb_cuenta_nom`, 

		`tb_cuenta_ord`, 

		`tb_cuentatipo_id`,

		`tb_modulo_id`

		)

		VALUES ('$cod','$nom','$ord','$ele_id','$mod_id');";

		$oCado= new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		

	}

	function mostrarUno($id){

		$sql="SELECT * FROM tb_cuenta

		WHERE tb_cuenta_id=$id";

		$oCado= NEW Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function modificar($id,$cod,$nom,$ord,$ele_id,$mod_id){

		$sql="UPDATE `tb_cuenta` SET 		

		`tb_cuenta_cod`='$cod',

		`tb_cuenta_nom`='$nom',

		`tb_cuenta_ord`='$ord',

		`tb_cuentatipo_id`='$ele_id',

		`tb_modulo_id`='$mod_id'

		WHERE tb_cuenta_id=$id;";

		$oCado= new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function filtrar($cuetip_id,$cue_id){

	$sql="SELECT * 

	FROM `tb_cuenta` c

	LEFT JOIN tb_modulo m on m.tb_modulo_id = c.tb_modulo_id 

	WHERE tb_cuenta_xac=1 

	AND tb_cuentatipo_id='$cuetip_id' ";

	if($cue_id!="")$sql.=" AND tb_cuenta_id='$cue_id' ";



	$sql.=" ORDER BY tb_cuenta_nom"; 

//echo $sql;exit;

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function verifica_modulo($cuetip_id,$mod_id,$cue_id){

		$sql = "SELECT * FROM `tb_cuenta` 

		where tb_cuenta_xac=1 

		and tb_cuentatipo_id='$cuetip_id' 

		and tb_modulo_id = '$mod_id'

		and tb_cuenta_id <> '$id_cuenta' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



}

?>